include (FindPackageMessage)

message (STATUS "Detecting clhep installation")
execute_process (COMMAND clhep-config --prefix
  OUTPUT_VARIABLE clhep_PREFIX
  )
if (clhep_PREFIX)
  string (REGEX REPLACE "\"\(.*\)\"[ \t\r\n]*$" "\\1"  clhep_PREFIX ${clhep_PREFIX} )
  message (STATUS "clhep installation found: ${clhep_PREFIX}")
  EXECUTE_PROCESS(COMMAND clhep-config --libs OUTPUT_VARIABLE
    CLHEP_LIBRARIES OUTPUT_STRIP_TRAILING_WHITESPACE)
  set (clhep_INCLUDE_PATH ${clhep_PREFIX}/include)
  set (clhep_FOUND TRUE)
else (clhep_PREFIX)
  set (clhep_FOUND FALSE)
endif (clhep_PREFIX)


if (NOT clhep_FOUND)
  message(FATAL_ERROR "clhep installation not found!")
endif (NOT clhep_FOUND)

mark_as_advanced(
  clhep_INCLUDE_PATH
  clhep_LIBRARIES
)



