include (FindPackageMessage)

message (STATUS "Detecting FastJet installation")
execute_process (COMMAND fastjet-config --prefix
  OUTPUT_VARIABLE fastjet_PREFIX
  )
if (fastjet_PREFIX)
  string (STRIP ${fastjet_PREFIX} fastjet_PREFIX)
  message (STATUS "FastJet installation found: ${fastjet_PREFIX}")
  EXECUTE_PROCESS(COMMAND fastjet-config --libs OUTPUT_VARIABLE
    FASTJET_LIBRARIES OUTPUT_STRIP_TRAILING_WHITESPACE)
  # set (fastjet_LIBRARIES ${fastjet_LIBRARIES} )
  set (fastjet_INCLUDE_PATH ${fastjet_PREFIX}/include)
  set (fastjet_FOUND TRUE)
else (fastjet_PREFIX)
  set (fastjet_FOUND FALSE)
endif (fastjet_PREFIX)

if (NOT fastjet_FOUND)
  message(FATAL_ERROR "FastJet installation not found!")
endif (NOT fastjet_FOUND)

mark_as_advanced(
  fastjet_INCLUDE_PATH
  fastjet_LIBRARIES
)




