include (FindPackageMessage)

message (STATUS "Detecting lhapdf installation")
execute_process (COMMAND lhapdf-config --prefix
  OUTPUT_VARIABLE lhapdf_PREFIX OUTPUT_STRIP_TRAILING_WHITESPACE
  )
if (lhapdf_PREFIX)
  string (STRIP ${lhapdf_PREFIX} lhapdf_PREFIX)
  message (STATUS "lhapdf installation found: ${lhapdf_PREFIX}")
  EXECUTE_PROCESS(COMMAND lhapdf-config --ldflags OUTPUT_VARIABLE
    LHAPDF_LIBRARIES OUTPUT_STRIP_TRAILING_WHITESPACE)
  # set (lhapdf_LIBRARIES ${lhapdf_LIBRARIES} )
  set (lhapdf_INCLUDE_PATH ${lhapdf_PREFIX}/include)
  set (lhapdf_FOUND TRUE)
else (lhapdf_PREFIX)
  set (lhapdf_FOUND FALSE)
endif (lhapdf_PREFIX)

if (NOT lhapdf_FOUND)
  message(FATAL_ERROR "lhapdf installation not found!")
endif (NOT lhapdf_FOUND)

mark_as_advanced(
  lhapdf_INCLUDE_PATH
  lhapdf_LIBRARIES
)


